Bug 1467371 - Review Request: perl-Locale-MO-File - Write and read gettext MO files
Review Request: perl-Locale-MO-File - Write and read gettext MO files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On: 1466787
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-03 10:52 EDT by Jitka Plesnikova
Modified: 2017-07-10 03:08 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Locale-MO-File-0.06-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-10 03:08:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2017-07-03 10:52:00 EDT
Spec URL: https://jplesnik.fedorapeople.org/perl-Locale-MO-File/perl-Locale-MO-File.spec
SRPM URL: https://jplesnik.fedorapeople.org/perl-Locale-MO-File/perl-Locale-MO-File-0.06-1.fc27.src.rpm

Description:
The module allows to write or read gettext MO files.

Fedora Account System Username: jplesnik@redhat.com
Comment 1 Petr Pisar 2017-07-04 03:39:30 EDT
URL and Source0 addresses are Ok.
Source archive (SHA-256: 49546da656fc8a2bfe4dd23449e05bee085c7c64f0fbdf55d9b97b071dfe186d) is original. Ok.

TODO: Replace the `Write/read' with `Write and read' in the summary. It looks more natural.

Description verified from lib/Locale/MO/File.pm. Ok.
License verified in lib/Locale/MO/File.pm and README. Ok.
No XS code, noarch BuildArch is Ok.

FIX: Build-require `sed' (perl-Locale-MO-File.spec:53).
FIX: Build-require `perl(Config)' (perl-Locale-MO-File.spec:54).
FIX: Build-require `perl-interpreter' instead of `perl' per new guidelines.
FIX: Build-require `perl(MooX::Types::MooseLike::Base)' instead of `perl(MooX::Types::MooseLike)' (lib/Locale/MO/File.pm:14).

Test::Prereq::Build not used. Ok.
Test::Perl::Critic not used. Ok.
All tests pass. Ok.

$ rpmlint perl-Locale-MO-File.spec ../SRPMS/perl-Locale-MO-File-0.06-1.fc27.src.rpm ../RPMS/noarch/perl-Locale-MO-File-0.06-1.fc27.noarch.rpm 
perl-Locale-MO-File.src: W: spelling-error Summary(en_US) gettext -> get text, get-text, Georgette
perl-Locale-MO-File.src: W: spelling-error %description -l en_US gettext -> get text, get-text, Georgette
perl-Locale-MO-File.noarch: W: spelling-error Summary(en_US) gettext -> get text, get-text, Georgette
perl-Locale-MO-File.noarch: W: spelling-error %description -l en_US gettext -> get text, get-text, Georgette
2 packages and 1 specfiles checked; 0 errors, 4 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Locale-MO-File-0.06-1.fc27.noarch.rpm
drwxr-xr-x    2 root    root                        0 Jul  4 09:31 /usr/share/doc/perl-Locale-MO-File
-rw-r--r--    1 root    root                      626 Jul  4 09:31 /usr/share/doc/perl-Locale-MO-File/Changes
-rw-r--r--    1 root    root                      703 Jul  4 09:31 /usr/share/doc/perl-Locale-MO-File/README
drwxr-xr-x    2 root    root                        0 Jul  4 09:31 /usr/share/doc/perl-Locale-MO-File/example
-rw-r--r--    1 root    root                     2347 Jul  4 09:31 /usr/share/doc/perl-Locale-MO-File/example/11_little_endian.pl
-rw-r--r--    1 root    root                     2712 Jul  4 09:31 /usr/share/doc/perl-Locale-MO-File/example/12_little_endian_fh.pl
-rw-r--r--    1 root    root                     3062 Jul  4 09:31 /usr/share/doc/perl-Locale-MO-File/example/13_little_endian_utf-8.pl
-rw-r--r--    1 root    root                     3511 Jul  4 09:31 /usr/share/doc/perl-Locale-MO-File/example/14_little_endian_fh_utf-8.pl
-rw-r--r--    1 root    root                     2379 Jul  4 09:31 /usr/share/doc/perl-Locale-MO-File/example/21_big_endian.pl
-rw-r--r--    1 root    root                     2739 Jul  4 09:31 /usr/share/doc/perl-Locale-MO-File/example/22_big_endian_fh.pl
-rw-r--r--    1 root    root                     3103 Jul  4 09:31 /usr/share/doc/perl-Locale-MO-File/example/23_big_endian_utf-8.pl
-rw-r--r--    1 root    root                     3542 Jul  4 09:31 /usr/share/doc/perl-Locale-MO-File/example/24_big_endian_fh_utf-8.pl
-rw-r--r--    1 root    root                     2867 Jul  4 09:31 /usr/share/man/man3/Locale::MO::File.3pm.gz
drwxr-xr-x    2 root    root                        0 Jul  4 09:31 /usr/share/perl5/vendor_perl/Locale
drwxr-xr-x    2 root    root                        0 Jul  4 09:31 /usr/share/perl5/vendor_perl/Locale/MO
-rw-r--r--    1 root    root                    16041 Apr 26  2015 /usr/share/perl5/vendor_perl/Locale/MO/File.pm
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Locale-MO-File-0.06-1.fc27.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.26.0)
      1 perl(Carp)
      1 perl(charnames)
      1 perl(Const::Fast)
      1 perl(Encode)
      1 perl(English)
      1 perl(IO::File)
      1 perl(Moo) >= 1.003001
      1 perl(MooX::StrictConstructor)
      1 perl(MooX::Types::MooseLike::Base)
      1 perl(namespace::autoclean)
      1 perl(Params::Validate)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/noarch/perl-Locale-MO-File-0.06-1.fc27.noarch.rpm | sort -f | uniq -c
      1 perl(Locale::MO::File) = 0.06
      1 perl-Locale-MO-File = 0.06-1.fc27
Binary provides are Ok.

$ resolvedeps f27-build ../RPMS/noarch/perl-Locale-MO-File-0.06-1.fc27.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F27 (https://koji.fedoraproject.org/koji/taskinfo?taskID=20319260). Ok.

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please correct all `FIX' items and consider fixing the `TODO' item before building this package.
Resolution: Package APPROVED.
Comment 2 Gwyn Ciesla 2017-07-04 17:25:04 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Locale-MO-File
Comment 3 Jitka Plesnikova 2017-07-10 03:08:48 EDT
The spec file was updated. 

Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.